Bug 9865 - Python missing bsddb module
: Python missing bsddb module
Status: RESOLVED FIXED
Product: PyMaemo
General
: unspecified
: All Maemo
: Unspecified normal with 3 votes (vote)
: ---
Assigned To: Lauro Moura
: general
:
:
:
:
  Show dependency tree
 
Reported: 2010-04-07 23:19 UTC by Nick Leppänen Larsson
Modified: 2010-05-17 21:28 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Nick Leppänen Larsson (reporter) 2010-04-07 23:19:31 UTC
SOFTWARE VERSION:
2.2009.51-1 & 3.2010.02-8
python                   2.5.2-3maemo3


EXACT STEPS LEADING TO PROBLEM: 
Run the python interpreter.
import bsddb

EXPECTED OUTCOME:
Module imported successfully


ACTUAL OUTCOME:
Python 2.5.4 (r254:67916, Nov 26 2009, 22:24:46)
[GCC 4.2.1] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import bsddb
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/bsddb/__init__.py", line 51, in <module>
    import _bsddb
ImportError: No module named _bsddb

REPRODUCIBILITY:
10/10

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-GB; rv:1.9.2.3)
Gecko/20100401 Firefox/3.6.3
Comment 1 Lauro Moura 2010-05-12 23:34:25 UTC
It's missing libdb4.2-dev in the Build-Depends field.
Comment 2 Lauro Moura 2010-05-14 16:07:33 UTC
taking bug.
Comment 3 Lauro Moura 2010-05-17 21:28:12 UTC
Fixed on version 2.5.4-1maemo6, available in extras-devel.